class CreateRemoteStorageAuthorizations < ActiveRecord::Migration[7.0]
  def change
    create_table :remote_storage_authorizations do |t|
      t.references :user, null: false, foreign_key: true
      t.string :token
      t.text :permissions, array: true, default: [].to_yaml
      t.string :client_id
      t.string :redirect_uri
      t.string :app_name
      t.datetime :expire_at

      t.timestamps
    end

    add_index :remote_storage_authorizations, :permissions, using: 'gin'
  end
end
